# List all disbursements

**GET** `/loans/disbursements`

List all disbursements under the platform. Filtered results can be retrieved with extra parameters in the query.

### Query Parameters

- `bank_account_id` `string` — Filter disbursements by bank account ID.
- `created.gt` `date-time` — Return results where the `created_at` field is greater than this value.
- `created.gte` `date-time` — Return results where the `created_at` field is greater than or equal to this value.
- `created.lt` `date-time` — Return results where the `created_at` field is less than this value.
- `created.lte` `date-time` — Return results where the `created_at` field is less than or equal to this value.
- `ending_before` `string` — A cursor for use in pagination. `ending_before` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, starting with `foo_ZXhhbXBsZQo`, your subsequent call can include `ending_before=foo_ZXhhbXBsZQo` in order to fetch the previous page of the list.
- `limit` `integer` — A limit on the number of objects to be returned, between `1` and `100`. The default is `10`.
- `loan_id` `string` — Filter disbursements by loan ID.
- `starting_after` `string` — A cursor for use in pagination. `starting_after` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, ending with `foo_ZXhhbXBsZQo`, your subsequent call can include `starting_after=foo_ZXhhbXBsZQo` in order to fetch the next page of the list.

**Request**

```shell
curl 'https://api.column.com/loans/disbursements?loan_id=<loan_id>' \
  -u :<YOUR API KEY>
```

**Response 200**

```json
{
  "disbursements": [
    {
      "account_number_id": "acno_2zI1Da9Ro0dvk6HT2gla1H0UTyS",
      "amount": 1500,
      "bank_account_id": "bacc_2zI1DavEbJQbbOIJeExDVJczhqM",
      "created_at": "2025-08-03T16:04:09.247205826Z",
      "currency": "USD",
      "description": "first disbursement",
      "effective_at": "2025-08-03T16:04:09.247205826Z",
      "id": "ldsb_30meChPQuHfd7jqNuUWlkqS6B9o",
      "idempotency_key": "",
      "is_offline": false,
      "loan_id": "loan_30mcttnSZBlSahXy6LUFzbeemlk",
      "status": "completed"
    },
    {
      "account_number_id": "acno_2zI1Da9Ro0dvk6HT2gla1H0UTyS",
      "amount": 5000,
      "bank_account_id": "bacc_2zI1DavEbJQbbOIJeExDVJczhqM",
      "created_at": "2025-08-03T16:11:23Z",
      "currency": "USD",
      "description": "second disbursement",
      "effective_at": null,
      "id": "ldsb_30mf5GUhjkwxwvNBYGZX51cE7Gu",
      "idempotency_key": "",
      "is_offline": false,
      "loan_id": "loan_30mcttnSZBlSahXy6LUFzbeemlk",
      "status": "canceled"
    }
  ],
  "has_more": false
}
```
